<?php 


/*-----------------------------------------------------------------------------------*/
/*  howitworks custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'karbar_howitworks_posttype_init' );
if ( !function_exists( 'karbar_howitworks_posttype_init' ) ) :
function karbar_howitworks_posttype_init() {

    $howitwork_labels = array(
        'name' => _x('Howitwork', 'post type general name','karbar'),
        'singular_name' => _x('howitworks', 'post type singular name','karbar'),
        'add_new' => _x('Add New', 'Portfolio','karbar'),
        'add_new_item' => __('Add New Howitwork','karbar'),
        'edit_item' => __('Edit Howitwork','karbar'),
        'new_item' => __('New Howitwork','karbar'),
        'all_items' => __('All howitworks','karbar'), 
        'view_item' => __('View Howitwork','karbar'),
        'search_items' => __('Search Howitwork','karbar'),
        'not_found' =>  __('No Howitwork found','karbar'),
        'not_found_in_trash' => __('No howitworks found in Trash','karbar'), 
        'parent_item_colon' => '',
        'menu_name' => __('howitworks','karbar')

    );
    $howitwork_args = array(
        'labels' => $howitwork_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'post',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 4,
        'menu_icon' => get_template_directory_uri().'/assets/images/admin/howitwork.png', 
        'supports' => array( 'title' )
    ); 
    register_post_type( 'howitworks', $howitwork_args );

 }
endif;



/*-----------------------------------------------------------------------------------*/
/*  service custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'karbar_services_posttype_init' );
if ( !function_exists( 'karbar_services_posttype_init' ) ) :
function karbar_services_posttype_init() {

    $service_labels = array(
        'name' => _x('Service', 'post type general name','karbar'),
        'singular_name' => _x('services', 'post type singular name','karbar'),
        'add_new' => _x('Add New', 'Portfolio','karbar'),
        'add_new_item' => __('Add New Service','karbar'),
        'edit_item' => __('Edit Service','karbar'),
        'new_item' => __('New Service','karbar'),
        'all_items' => __('All services','karbar'), 
        'view_item' => __('View Service','karbar'),
        'search_items' => __('Search Service','karbar'),
        'not_found' =>  __('No Service found','karbar'),
        'not_found_in_trash' => __('No services found in Trash','karbar'), 
        'parent_item_colon' => '',
        'menu_name' => __('services','karbar')

    );
    $service_args = array(
        'labels' => $service_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'post',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 5,
        'menu_icon' => get_template_directory_uri().'/assets/images/admin/service.png', 
        'supports' => array( 'title' )
    ); 
    register_post_type( 'services', $service_args );

 }
endif;



/*-----------------------------------------------------------------------------------*/
/*  service custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'karbar_teams_posttype_init' );
if ( !function_exists( 'karbar_teams_posttype_init' ) ) :
function karbar_teams_posttype_init() {

    $team_labels = array(
        'name' => _x('Team', 'post type general name','karbar'),
        'singular_name' => _x('teams', 'post type singular name','karbar'),
        'add_new' => _x('Add New', 'Portfolio','karbar'),
        'add_new_item' => __('Add New Team','karbar'),
        'edit_item' => __('Edit team','karbar'),
        'new_item' => __('New team','karbar'),
        'all_items' => __('All teams','karbar'), 
        'view_item' => __('View Team','karbar'),
        'search_items' => __('Search team','karbar'),
        'not_found' =>  __('No team found','karbar'),
        'not_found_in_trash' => __('No teams found in Trash','karbar'), 
        'parent_item_colon' => '',
        'menu_name' => __('teams','karbar')

    );
    $team_args = array(
        'labels' => $team_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'post',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 6,
        'menu_icon' => get_template_directory_uri().'/assets/images/admin/team.png', 
        'supports' => array( 'title' )
    ); 
    register_post_type( 'teams', $team_args );

 }
endif;



/*-----------------------------------------------------------------------------------*/
/*  testimonial custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'karbar_testimonial_posttype_init' );
if ( !function_exists( 'karbar_testimonial_posttype_init' ) ) :
function karbar_testimonial_posttype_init() {

  $testimonial_labels = array(
    'name' => _x('Testimonial', 'post type general name','karbar'),
    'singular_name' => _x('Testimonials', 'post type singular name','karbar'),
    'add_new' => _x('Add New', 'Testimonial','karbar'),
    'add_new_item' => __('Add New Testimonial','karbar'),
    'edit_item' => __('Edit Testimonial','karbar'),
    'new_item' => __('New Testimonial','karbar'),
    'all_items' => __('All Testimonials','karbar'), 
    'view_item' => __('View Testimonial','karbar'),
    'search_items' => __('Search Testimonial','karbar'),
    'not_found' =>  __('No Testimonial found','karbar'),
    'not_found_in_trash' => __('No Testimonial found in Trash','karbar'), 
    'parent_item_colon' => '',
    'menu_name' => __('Testimonials','karbar')

  );
  
  $testimonial_args = array(
    'labels' => $testimonial_labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => false,
    'rewrite' => false,
    'capability_type' => 'post',
    'has_archive' => false, 
    'hierarchical' => false,
    'exclude_from_search' => true,
    'menu_position' => 7,
    'menu_icon' => get_template_directory_uri().'/assets/images/admin/icon-testimonial.png', 
    'supports' => array( 'title')
  ); 
  register_post_type( 'testimonial', $testimonial_args );

 }
endif;


/*-----------------------------------------------------------------------------------*/
/*  pricing custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'karbar_pricing_posttype_init' );
if ( !function_exists( 'karbar_pricing_posttype_init' ) ) :
function karbar_pricing_posttype_init() {

  $pricing_labels = array(
    'name' => _x('Pricing tables', 'post type general name','karbar'),
    'singular_name' => _x('Pricing table', 'post type singular name','karbar'),
    'add_new' => _x('Add New', 'Pricing','karbar'),
    'add_new_item' => __('Add New Pricing','karbar'),
    'edit_item' => __('Edit pricing','karbar'),
    'new_item' => __('New Pricing','karbar'),
    'all_items' => __('All pricing tables','karbar'), 
    'view_item' => __('View pricing','karbar'),
    'search_items' => __('Search pricing','karbar'),
    'not_found' =>  __('No pricing found','karbar'),
    'not_found_in_trash' => __('No pricing found in Trash','karbar'), 
    'parent_item_colon' => '',
    'menu_name' => __('Pricing Tables','karbar')

  );
  
  $pricing_args = array(
    'labels' => $pricing_labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => false,
    'rewrite' => false,
    'capability_type' => 'post',
    'has_archive' => false, 
    'hierarchical' => false,
    'exclude_from_search' => true,
    'menu_position' => 8,
    'menu_icon' => get_template_directory_uri().'/assets/images/admin/icon-pricing.png', 
    'supports' => array( 'title' )
  ); 
  register_post_type( 'pricing', $pricing_args );

 }
endif;


/*-----------------------------------------------------------------------------------*/
/*  OnePage custom post type.
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'karbar_onepage_posttype_init' );
if ( !function_exists( 'karbar_onepage_posttype_init' ) ) :
function karbar_onepage_posttype_init() {

    $onepage_labels = array(
        'name' => _x('OnePage Section', 'post type general name','karbar'),
        'singular_name' => _x('OnePage', 'post type singular name','karbar'),
        'add_new' => _x('Add New Section', 'Section','karbar'),
        'add_new_item' => __('Add New Section','karbar'),
        'edit_item' => __('Edit Section','karbar'),
        'new_item' => __('New Section','karbar'),
        'all_items' => __('All Sections','karbar'), 
        'view_item' => __('View Section','karbar'),
        'search_items' => __('Search Section','karbar'),
        'not_found' =>  __('No Section found','karbar'),
        'not_found_in_trash' => __('No Sections found in Trash','karbar'), 
        'parent_item_colon' => '',
        'menu_name' => __('OnePage Section','karbar')

    );
    $onepage_args = array(
        'labels' => $onepage_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,  
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'page',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 9,
        'menu_icon' => get_template_directory_uri().'/assets/images/admin/icon-onepage.png', 
        'supports' => array( 'title','editor','revisions','page-attributes' ) 
    ); 
    register_post_type( 'onepage', $onepage_args );

 }
endif;


