<?php
/**
 * Create and define the shortcodes
 *
 * @package ZillaShortcodes
 * @since  1.0
 */


/*-----------------------------------------------------------------------------------*/
/* Section Shortcode
/*-----------------------------------------------------------------------------------*/


if(! function_exists('karbar_new_section')) {
  function karbar_new_section( $atts, $content = null ){

    extract(shortcode_atts(array(
      'section_title'        => 'Section Title',
      'section_subtitle'          => 'Section Subtitle',
      ), $atts));

     echo "
          <div id='karbar-new-section'>
              <div class='container'>
                  <div class='row'>
                      <!-- Section main title -->
                      <div class='col-xs-12 section-title-padding'>
                          <div class='sec-title-container text-center'>
                              <div class='title-line'></div>
                              <h2 class='uppercase font-weight-7 less-mar-1'>{$section_title}</h2>
                              <div class='clearfix'></div>
                              <p class='by-sub-title'>{$section_subtitle}</p>
                          </div>
                      </div>
                      <div class='clearfix'></div>
                      <!-- end title -->
                      <div class='karbar-section-content-area'>' 
        ";
                          do_shortcode($content);
       echo "        </div>
                  </div>
              </div>
          </div>
        ";
    }
    add_shortcode('karbar_section', 'karbar_new_section');
}


/*-----------------------------------------------------------------------------------*/
/* Howitworks Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('howitworks')) {
  function howitworks( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 6,
      'post_type' => 'howitworks',
      'order'     => 'ASC',
      'section_title' => 'Section Title',
      'section_subtitle' => 'Section Subtitle',
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order, 
    );

    $single_howitworks = "";
    $single_howitworks .= "
                        <div id='karbar-how-it-works-section' class='how-it-works section-bg-color'>
                                <div class='container'>
                                  <div class='row'>
                                        <!-- Section main title -->
                                        <div class='col-xs-12 section-title-padding'>
                                            <div class='sec-title-container text-center'>
                                                <div class='title-line'></div>
                                                <h2 class='uppercase font-weight-7 less-mar-1'>{$section_title}</h2>
                                                <div class='clearfix'></div>
                                                <p class='by-sub-title'>{$section_subtitle}</p>
                                            </div>
                                       </div>
                                        <div class='clearfix'></div>
                                       <div class='col-md-11 center-block'>
                                            <!--step 1-->
                          ";
    $i = 0;
    $myposts = NEW WP_Query($args);
    if($myposts->have_posts()) :

    while ( $myposts->have_posts()) {
    $i++;
    $myposts->the_post();
    $howitwork_title = get_post_meta( $post->ID, '_cmb2_howitwork_title', true );   
    $howitwork_content = get_post_meta( $post->ID, '_cmb2_howitwork_content', true );  
    $howitwork_image = get_post_meta( $post->ID, '_cmb2_howitwork_image', true );

             if($i % 2 == 1):
               $single_howitworks .= "
                  <div class='row'>
                      <div class='col-md-6 col-md-push-6 text-center'> <img src='{$howitwork_image}' alt='step-1'> </div>
                      <div class='col-md-6 col-md-pull-6 reveal-left-fade'>
                          <div class='step-number'><span>{$i}</span></div>
                          <h4>{$howitwork_title}</h4>
                          <p>{$howitwork_content}</p>
                      </div>
                  </div>
                ";
             else:
                $single_howitworks .= "
                  <div class='row'>
                      <div class='col-md-6 text-center'> <img src='{$howitwork_image}' alt='step-2'> </div>
                      <div class='col-md-6 reveal-right-fade'>
                          <div class='step-number'><span>{$i}</span></div>
                          <h4>{$howitwork_title}</h4>
                          <p>{$howitwork_content}</p>
                      </div>
                  </div>
                ";
              endif;

      } //end while      
      endif;
      echo $single_howitworks;
      echo '</div></div></div></div>';

      wp_reset_query(); 
    }
    add_shortcode('howitworks', 'howitworks');
}






/*-----------------------------------------------------------------------------------*/
/* Service Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('service')) {
  function service( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 6,
      'post_type' => 'services',
      'order'     => 'ASC',
      'section_title' => 'Section Title',
      'section_subtitle' => 'Section Subtitle',
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order, 
    );

    $single_service = "";
    $single_service .= "
                         <div id='karbar-service-section'>
                            <div class='container'>
                                <div class='row'>
                                    <!-- Section main title -->
                                    <div class='col-xs-12 section-title-padding'>
                                        <div class='sec-title-container text-center'>
                                            <div class='title-line'></div>
                                            <h2 class='uppercase font-weight-7 less-mar-1'>{$section_title}</h2>
                                            <div class='clearfix'></div>
                                            <p class='by-sub-title'>{$section_subtitle}</p>
                                        </div>
                                    </div>
                                    <div class='clearfix'></div>
                                    <!--end title-->
                                    <div class='item'>
                          ";
    $i = 0;
    $myposts = NEW WP_Query($args);
    if($myposts->have_posts()) :

    while ( $myposts->have_posts()) {
    $i++;
    $myposts->the_post();
    $service_title = get_post_meta( $post->ID, '_cmb2_service_title', true );
    $service_content = get_post_meta( $post->ID, '_cmb2_service_content', true );
    $service_icon = get_post_meta( $post->ID, '_cmb2_service_icon', true );
    if($i == 1 ? $active = "active" : $active = "");

               $single_service .= "
                  <div class='single-service'>
                      <div class='col-md-6'>
                          <div class='service-left-side {$active} reveal-right-delay'>
                              <div class='circle'> <i class='fa {$service_icon}'></i> </div>
                              <div class='text-box'>
                                  <h5 class='title'>{$service_title}</h5>
                                  <p>{$service_content}</p>
                              </div>
                          </div>
                      </div>
                  </div>
                ";

        } //end while      
      endif;
      echo $single_service;
      echo '</div></div></div></div>';

      wp_reset_query(); 
    }
    add_shortcode('service', 'service');
}




/*-----------------------------------------------------------------------------------*/
/* Why choose us Shortcode
/*-----------------------------------------------------------------------------------*/

if(! function_exists('why_choose_us')) {
  function why_choose_us( $atts, $content = null ){

    extract(shortcode_atts(array(
      'section_title' => 'Section Title',
      'section_subtitle' => 'Section Subtitle'
      ), $atts));

    $why_choose_image   = karbar_get_option('_redux_why_image');
    $why_choose_image_id   = $why_choose_image['id'];
    $why_image_attachment = wp_get_attachment_image( $why_choose_image_id, "karbar_why_choose_us_image_size",  "", array( "class" => "img-responsive" ) );
     
    if(!empty($why_image_attachment)){
         $why_choose_image_id  = $why_choose_image['id'];
         $why_choose_image = wp_get_attachment_image( $why_choose_image_id, "karbar_why_choose_us_image_size",  "", array( "class" => "img-responsive" ) );
    }else{
        if ( class_exists( 'Redux' ) && !empty($why_choose_image)) {
            $why_choose_image   = karbar_get_option('_redux_why_image');
            $why_choose_image = $why_choose_image['url'];
            $why_choose_image = '<img src="'.esc_url($why_choose_image).'" width="700" height="579" class="img-responsive" alt="Why Choose Us"/>';
        }
    }

    $why_choose_content = karbar_get_option('_redux_why_choose_content');

      return "
              <div id='karbar-why-choose-section' class='section-light why-choose-us'>
                  <div class='container'>
                      <div class='row'>
                          <div class='col-md-7'>
                              <div class='k-why-choose-us-main'>
                                  <div class='k-why-choose-us margin-bottom'>{$why_choose_image}</div>
                                  <div class='border-box'></div>
                              </div>
                          </div>
                          <!--end item-->
                          <div class='col-md-5 padding-left-4'>
                              <div class='col-xs-12 nopadding'>
                                  <div class='sec-title-container text-center'>
                                      <div class='title-line less-mar'></div>
                                      <h3 class='uppercase font-weight-7 nopadding ce-title'><span>{$section_title}</span></h3>
                                      <p>{$section_subtitle}</p>
                                  </div>
                              </div>
                              <div class='clearfix'></div>
                              <!--end title-->
                              {$why_choose_content}
                          </div>
                          <!--end item-->
                      </div>
                  </div>
              </div>
            ";

    }
    add_shortcode('why_choose_us', 'why_choose_us');
}




/*-----------------------------------------------------------------------------------*/
/* Team Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('team')) {
  function team( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 6,
      'post_type' => 'teams',
      'order'     => 'DESC',
      'section_title' => 'Section Title',
      'section_subtitle' => 'Section Subtitle',
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order, 
    );

    $single_team = "";
    $single_team .= "
                    <div id='karbar-team-section'>
                        <div class='awesome-team-members'>
                            <div class='container'>
                                <div class='row'>
                                    <!-- Section main title -->
                                    <div class='col-xs-12 section-title-padding'>
                                        <div class='sec-title-container text-center'>
                                            <div class='title-line'></div>
                                            <h2 class='uppercase font-weight-7 less-mar-1'>{$section_title}</h2>
                                            <div class='clearfix'></div>
                                            <p class='by-sub-title'>{$section_subtitle}</p>
                                        </div>
                                    </div>
                                    <div class='clearfix'></div>
                                    <!--end title-->
                          ";
    $i = 0;
    $myposts = NEW WP_Query($args);
    if($myposts->have_posts()) :

    while ( $myposts->have_posts()) {
    $i++;
    $myposts->the_post();
    $team_member_name = get_post_meta( $post->ID, '_cmb2_team_member_name', true );  
    $team_content = get_post_meta( $post->ID, '_cmb2_team_content', true );  
    $team_member_image = get_post_meta( $post->ID, '_cmb2_team_member_image', true );

            if($i % 2 == 1):
               $single_team .= "
                <div class='col-md-4 col-sm-6 col-xs-12 padding'>
                  <div class='item-holder margin-bottom'>
                      <img src='{$team_member_image}' alt='' class='img-responsive'>
                      <div class='clearfix'></div>
                      <div class='text-box text-center'>
                          <h4 class='text-white font-weight-5'>{$team_member_name}</h4>
                          <p class='text-sm'>{$team_content}</p>
                          <br>
                ";
                    $team_social_group = get_post_meta( get_the_ID(), '_cmb2_team_social_group', true );
                    foreach($team_social_group as $singlevalues){
                        $team_social_icon_name = $team_social_link = '';
                        if(isset($singlevalues['_cmb2_team_social_icon_name'])){
                            $team_social_icon_name = $singlevalues['_cmb2_team_social_icon_name'];
                        }
                        if(isset($singlevalues['_cmb2_team_social_link'])){
                            $team_social_link = $singlevalues['_cmb2_team_social_link'];
                        }
                        $single_team .= "
                            <a href='{$team_social_link}' target='_blank'>
                                <div class='btn-circle'><i class='fa {$team_social_icon_name}'></i></div>
                            </a>
                        ";
                    } // end foreach
                $single_team .= "</div></div></div>";
            else:
                $single_team .= "
                  <div class='col-md-4 col-sm-6 col-xs-12 padding'>
                      <div class='item-holder margin-bottom'>
                          <div class='text-box text-center more-height white'>
                              <h4 class='font-weight-5'>{$team_member_name}</h4>
                              <p>{$team_content}</p>
                              <br>
                ";
                    $team_social_group = get_post_meta( get_the_ID(), '_cmb2_team_social_group', true );
                    foreach($team_social_group as $singlevalues){
                        $team_social_icon_name = $team_social_link = '';
                        if(isset($singlevalues['_cmb2_team_social_icon_name'])){
                            $team_social_icon_name = $singlevalues['_cmb2_team_social_icon_name'];
                        }
                        if(isset($singlevalues['_cmb2_team_social_link'])){
                            $team_social_link = $singlevalues['_cmb2_team_social_link'];
                        }
                        $single_team .= "
                            <a href='{$team_social_link}' target='_blank'>
                                <div class='btn-circle primary'><i class='fa {$team_social_icon_name}'></i></div>
                            </a>
                        ";
                    } // end foreach                             
                $single_team .= "
                    </div>
                    <img src='{$team_member_image}' alt='' class='img-responsive'>
                    </div>
                    </div>
                ";
             endif;

        } //end while      
      endif;
      echo $single_team;
      echo '</div></div></div></div>';

      wp_reset_query(); 
    }
    add_shortcode('team', 'team');
}


/*-----------------------------------------------------------------------------------*/
/* Testimonial Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('testimonial')) {
  function testimonial( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 3,
      'post_type' => 'testimonial',
      'order'     => 'DESC',
      'section_title' => 'Section Title',
      'section_subtitle' => 'Section Subtitle',
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order, 
    );

    $single_testimonial = "";
    $single_testimonial .= "
                         <div id='testimonial-and-client' class='tc-light-style'>
                              <div class='container'>
                                  <div class='row'>
                                      <!-- Section main title -->
                                      <div class='col-xs-12 section-title-padding'>
                                          <div class='sec-title-container text-center'>
                                              <div class='title-line'></div>
                                              <h2 class='uppercase font-weight-7 less-mar-1'>{$section_title}</h2>
                                              <div class='clearfix'></div>
                                              <p class='by-sub-title'>{$section_subtitle}</p>
                                          </div>
                                      </div>
                                      <div class='clearfix'></div>
                          ";
    $i = 0;
    $myposts = NEW WP_Query($args);
    if($myposts->have_posts()) :

    while ( $myposts->have_posts()) {
    $i++;
    $myposts->the_post();
    $testimonial_client_name = get_post_meta( $post->ID, '_cmb2_testimonial_client_name', true );  
    $testimonial_client_position = get_post_meta( $post->ID, '_cmb2_testimonial_client_position', true );  
    $testimonial_client_comment = get_post_meta( $post->ID, '_cmb2_testimonial_client_comment', true );  
    $testimonial_client_comment_image = get_post_meta( $post->ID, '_cmb2_testimonial_client_comment_image', true );

        $single_testimonial .= "
          <div class='col-md-4 col-sm-6 col-xs-12'>
              <div class='testimonial-single margin-bottom'>
                  <div class='inner-box'>
                      <div class='imgbox-tiny left round overflow-hidden'><img src='{$testimonial_client_comment_image}' alt='' class='img-responsive'></div>
                      <div class='text-box-right'>
                          <p><em>{$testimonial_client_comment}</em></p>
                          <h6 class='less-mar-1 padding-top-1'>{$testimonial_client_name}</h6>
                          <p class='text-b'>{$testimonial_client_position}</p>
                      </div>
                  </div>
              </div>
          </div>
        ";

        } //end while  

        $single_testimonial .= "</div>";
        
        $client_logos_show_hide = karbar_get_option('_redux_client_logos_show_hide');
        if($client_logos_show_hide == 1):
          $single_testimonial .= "<div class='row sec-padding sponsors'><ul class='clients-list grid-cols-6 hover-6'>";
          $client_bottom_logos = karbar_get_option('_redux_client_bottom_logos');
          $client_bottom_logos = explode(",",$client_bottom_logos);

          foreach($client_bottom_logos as $single_value){
             $client_image   = wp_get_attachment_image( $single_value, 'karbar_client_logos_size', "", array( "class" => "img-responsive" ) );
             $single_testimonial .= "<li>{$client_image}</li>";
          }
          $single_testimonial .= "</ul></div>";
        endif;

      endif;
      echo $single_testimonial;
      echo '</div></div>';

      wp_reset_query(); 
    }
    add_shortcode('testimonial', 'testimonial');
}




/*-----------------------------------------------------------------------------------*/
/* Pricing table Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('pricing')) {
  function pricing( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 3,
      'post_type' => 'pricing',
      'order'     => 'ASC',
      'section_title' => 'Section Title',
      'section_subtitle' => 'Section Subtitle',
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order, 
    );

    $single_pricing = "";
    $single_pricing .= "
                        <div id='karbar-price-section'>
                                <div class='container'>
                                    <div class='row'>
                                        <!-- Section main title -->
                                        <div class='col-xs-12 section-title-padding'>
                                            <div class='sec-title-container text-center'>
                                                <div class='title-line'></div>
                                                <h2 class='uppercase font-weight-7 less-mar-1'>{$section_title}</h2>
                                                <div class='clearfix'></div>
                                                <p class='by-sub-title'>{$section_subtitle}</p>
                                            </div>
                                        </div>
                                        <div class='clearfix'></div>
                                        <!-- end title -->
                                        <div class='pricing-table'>
                          ";
    $i = 0;
    $myposts = NEW WP_Query($args);
    if($myposts->have_posts()) :

    while ( $myposts->have_posts()) {
    $i++;
    $myposts->the_post();
    $pricing_title = get_post_meta( $post->ID, '_cmb2_pricing_title', true );
    $pricing_amount = get_post_meta( $post->ID, '_cmb2_pricing_amount', true );
    $pricing_currency_sign = get_post_meta( $post->ID, '_cmb2_pricing_currency_sign', true );
    $pricing_per = get_post_meta( $post->ID, '_cmb2_pricing_per', true );
    $pricing_contents = get_post_meta( $post->ID, '_cmb2_pricing_contents', true );
    $pricing_submit_button_text = get_post_meta( $post->ID, '_cmb2_pricing_submit_button_text', true );
    $pricing_submit_button_ulr = get_post_meta( $post->ID, '_cmb2_pricing_submit_button_ulr', true );
    if($i == 2 ? $active = "active" : $active = "");
      if($i == 2 ? $hot = "<span class='hot'>HOT!</span>" : $hot = "");

         $single_pricing .= "
            <div class='col-sm-4 col-md-4'>
                <div class='item reveal-bottom-fade'>
                    <h3>{$pricing_title}{$hot}</h3>
                    <p class='price'><span>{$pricing_currency_sign}</span>{$pricing_amount}<small>{$pricing_per}</small></p>
                    {$pricing_contents}
                    <a href='{$pricing_submit_button_ulr}' class='btn-theme {$active}'>{$pricing_submit_button_text}</a>
                </div>
            </div>
          ";

      } //end while      
      endif;
      echo $single_pricing;
      echo '</div></div></div></div>';

      wp_reset_query(); 
    }
    add_shortcode('pricing', 'pricing');
}




/*-----------------------------------------------------------------------------------*/
/* Blog post Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('blog_post')) {
  function blog_post( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 2,
      'post_type' => 'post',
      'order'     => 'ASC', 
      'section_title' => 'Section Title',
      'section_subtitle' => 'Section Subtitle',
      ), $atts));
    
    global $post;

    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order,
    );

    $myposts = NEW WP_Query($args); 

    $single_post = '';

    if($myposts->have_posts()) :
      $single_post .= "
      <div class='business-x-blog'>
        <div class='container'>
          <div class='row'>
             <div class='all-blogs'>
                <!-- Section main title -->
                <div class='col-xs-12 section-title-padding'>
                    <div class='sec-title-container text-center'>
                        <div class='title-line'></div>
                        <h2 class='uppercase font-weight-7 less-mar-1'>{$section_title}</h2>
                        <div class='clearfix'></div>
                        <p class='by-sub-title'>{$section_subtitle}</p>
                    </div>
                </div>
                <div class='clearfix'></div>
                <!--end title-->

      "; 
      while ( $myposts->have_posts()) {
        $myposts->the_post();
        $post_thumb = get_the_post_thumbnail( $post->ID, 'karbar_blog_image_size', array( 'class' => 'karbar-blog-post' ) );
        $post_permalink = get_permalink();
        $post_date = get_the_date( 'd-m-Y', $post->ID );

              $single_post .= "
                <div class='col-md-4 col-sm-6'>
                    <div class='single-blog-item'>
                        <div class='blog-photo'>
                         ";  
                         $single_post .= $post_thumb ;   
                 $single_post .= "           
                            <div class='blog-post-date'>
                                <h3>{$post_date}</h3>
                            </div>
                            <div class='blog-dtls-link'>
                              <a href='{$post_permalink}'>Check Details <i class='fa fa-share' aria-hidden='true'></i></a>
                            </div>
                        </div>
                    </div>
                </div>
                ";

        } //end while  

      $single_post .= '</div></div></div></div>'; 
      echo $single_post;   
      endif;

      wp_reset_query(); 
    }
    add_shortcode('blog_post', 'blog_post');
}


/*-----------------------------------------------------------------------------------*/
/* Divider Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('divider')) {
  function divider( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'divider_container' => 'container',
      'margin_top'        => '20px',
      'margin_bottom'     => '20px'
      ), $atts));
    
    echo '<div class="divider-style '.$divider_container.'" style="margin-top:'.$margin_top.' !important; margin-bottom:'.$margin_bottom.' !important; padding:0 !important"><hr><div class="element-line"></div></div>';
  }
  add_shortcode('divider', 'divider');
}


/*-----------------------------------------------------------------------------------*/
/*  container Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('container')) {
  function container( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'bg_color'      => '#fff',
      'margin_top'    => '0px',
      'padding_top'   => '30px',
      'padding_bottom'=> '10px',
      'padding_left'  => '10px',
      'padding_right' => '10px',
      ), $atts));

    echo '<div class="shortcode-container"><div class="container" style="margin-top:'.$margin_top.' !important;padding:0 !important;">'. do_shortcode($content) .'</div></div>';
  }
  add_shortcode('container', 'container');
}



/*-----------------------------------------------------------------------------------*/
/*  Column Shortcodes
/*-----------------------------------------------------------------------------------*/


if ( !function_exists('zilla_column') ) {
  function zilla_column( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'column' => 'one-third',
      'last' => false
      ), $atts));

    $last_class = '';
    $last_div = '';
    if( $last ) {
      $last_class = ' zilla-column-last';
      $last_div = '<div class="clear"></div>';
    }

    return '<div class="zilla-' . $column . $last_class . '">' . do_shortcode($content) . '</div>' . $last_div;
  }
  add_shortcode('zilla_column', 'zilla_column');
}

/* Legacy shortcodes --- */

if (!function_exists('zilla_one_third')) {
  function zilla_one_third( $atts, $content = null ) {
   return '<div class="zilla-one-third">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_third', 'zilla_one_third');
}

if (!function_exists('zilla_one_third_last')) {
  function zilla_one_third_last( $atts, $content = null ) {
   return '<div class="zilla-one-third zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_third_last', 'zilla_one_third_last');
}

if (!function_exists('zilla_two_third')) {
  function zilla_two_third( $atts, $content = null ) {
   return '<div class="zilla-two-third">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_two_third', 'zilla_two_third');
}

if (!function_exists('zilla_two_third_last')) {
  function zilla_two_third_last( $atts, $content = null ) {
   return '<div class="zilla-two-third zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_two_third_last', 'zilla_two_third_last');
}

if (!function_exists('zilla_one_half')) {
  function zilla_one_half( $atts, $content = null ) {
   return '<div class="zilla-one-half">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_half', 'zilla_one_half');
}

if (!function_exists('zilla_one_half_last')) {
  function zilla_one_half_last( $atts, $content = null ) {
   return '<div class="zilla-one-half zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_half_last', 'zilla_one_half_last');
}

if (!function_exists('zilla_one_fourth')) {
  function zilla_one_fourth( $atts, $content = null ) {
   return '<div class="zilla-one-fourth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_fourth', 'zilla_one_fourth');
}

if (!function_exists('zilla_one_fourth_last')) {
  function zilla_one_fourth_last( $atts, $content = null ) {
   return '<div class="zilla-one-fourth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_fourth_last', 'zilla_one_fourth_last');
}

if (!function_exists('zilla_three_fourth')) {
  function zilla_three_fourth( $atts, $content = null ) {
   return '<div class="zilla-three-fourth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_three_fourth', 'zilla_three_fourth');
}

if (!function_exists('zilla_three_fourth_last')) {
  function zilla_three_fourth_last( $atts, $content = null ) {
   return '<div class="zilla-three-fourth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_three_fourth_last', 'zilla_three_fourth_last');
}

if (!function_exists('zilla_one_fifth')) {
  function zilla_one_fifth( $atts, $content = null ) {
   return '<div class="zilla-one-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_fifth', 'zilla_one_fifth');
}

if (!function_exists('zilla_one_fifth_last')) {
  function zilla_one_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-one-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_fifth_last', 'zilla_one_fifth_last');
}

if (!function_exists('zilla_two_fifth')) {
  function zilla_two_fifth( $atts, $content = null ) {
   return '<div class="zilla-two-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_two_fifth', 'zilla_two_fifth');
}

if (!function_exists('zilla_two_fifth_last')) {
  function zilla_two_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-two-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_two_fifth_last', 'zilla_two_fifth_last');
}

if (!function_exists('zilla_three_fifth')) {
  function zilla_three_fifth( $atts, $content = null ) {
   return '<div class="zilla-three-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_three_fifth', 'zilla_three_fifth');
}

if (!function_exists('zilla_three_fifth_last')) {
  function zilla_three_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-three-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_three_fifth_last', 'zilla_three_fifth_last');
}

if (!function_exists('zilla_four_fifth')) {
  function zilla_four_fifth( $atts, $content = null ) {
   return '<div class="zilla-four-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_four_fifth', 'zilla_four_fifth');
}

if (!function_exists('zilla_four_fifth_last')) {
  function zilla_four_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-four-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_four_fifth_last', 'zilla_four_fifth_last');
}

if (!function_exists('zilla_one_sixth')) {
  function zilla_one_sixth( $atts, $content = null ) {
   return '<div class="zilla-one-sixth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_sixth', 'zilla_one_sixth');
}

if (!function_exists('zilla_one_sixth_last')) {
  function zilla_one_sixth_last( $atts, $content = null ) {
   return '<div class="zilla-one-sixth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_sixth_last', 'zilla_one_sixth_last');
}

if (!function_exists('zilla_five_sixth')) {
  function zilla_five_sixth( $atts, $content = null ) {
   return '<div class="zilla-five-sixth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_five_sixth', 'zilla_five_sixth');
}

if (!function_exists('zilla_five_sixth_last')) {
  function zilla_five_sixth_last( $atts, $content = null ) {
   return '<div class="zilla-five-sixth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_five_sixth_last', 'zilla_five_sixth_last');
}




/*-----------------------------------------------------------------------------------*/
/*  Tabs Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('zilla_tabs')) {
  function zilla_tabs( $atts, $content = null ) {
    $defaults = array();
    extract( shortcode_atts( $defaults, $atts ) );

    STATIC $i = 0;
    $i++;

    // Extract the tab titles for use in the tab widget.
    preg_match_all( '/tab title="([^\"]+)"/i', $content, $matches, PREG_OFFSET_CAPTURE );

    $tab_titles = array();
    if( isset($matches[1]) ){ $tab_titles = $matches[1]; }

    $output = '';

    if( count($tab_titles) ){
      $output .= '<div id="zilla-tabs-'. $i .'" class="zilla-tabs"><div class="zilla-tab-inner">';
      $output .= '<ul class="zilla-nav zilla-clearfix">';

      foreach( $tab_titles as $tab ){
        $output .= '<li><a href="#zilla-tab-'. sanitize_title( $tab[0] ) .'">' . $tab[0] . '</a></li>';
      }

      $output .= '</ul>';
      $output .= do_shortcode( $content );
      $output .= '</div></div>';
    } else {
      $output .= do_shortcode( $content );
    }

    return $output;
  }
  add_shortcode( 'zilla_tabs', 'zilla_tabs' );
}

if (!function_exists('zilla_tab')) {
  function zilla_tab( $atts, $content = null ) {
    $defaults = array( 'title' => 'Tab' );
    extract( shortcode_atts( $defaults, $atts ) );

    return '<div id="zilla-tab-'. sanitize_title( $title ) .'" class="zilla-tab">'. do_shortcode( $content ) .'</div>';
  }
  add_shortcode( 'zilla_tab', 'zilla_tab' );
}


/*-----------------------------------------------------------------------------------*/
/*  Buttons
/*-----------------------------------------------------------------------------------*/

if (!function_exists('zilla_button')) {
  function zilla_button( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'url' => '#',
      'text_color' => '#000',
      'font_size' => '20px',
      'bg_color' => '#fff',
      'border' => '2px solid #ddd',
      'border_radius' => '5px',
      'button_padding' => '10px 15px',
      'icon'    => 'fa-sign-in',
      'icon_size'    => '20px',
      'icon_color' => '#000',
      'icon_padding' => '0 15px 0 0',
      'target' => '_self',
      'hover_color' => '#EF1767',
      'hover_bg_color' => '#fff',
      'hover_border' => '2px solid #EF1767',
      'hover_icon_color' => '#EF1767'
      ), $atts)); ?>

    <style>
      .karbar-btn-shortcode, .karbar-btn-shortcode i{
        -webkit-transition: all 300ms ease-in-out !important;
        transition: all 300ms ease-in-out !important;     
      }
      .karbar-btn-shortcode:hover{
        color:<?php echo $hover_color; ?> !important;
        background: <?php echo $hover_bg_color; ?>  !important;
        border: <?php echo $hover_border; ?> !important;
        -webkit-transition: all 300ms ease-in-out !important;
        transition: all 300ms ease-in-out !important;
      }
      .karbar-btn-shortcode:hover i{
        color: <?php echo $hover_icon_color; ?> !important;
        -webkit-transition: all 300ms ease-in-out !important;
        transition: all 300ms ease-in-out !important;
      }
    </style>

    <?php 
    return '<a href="'.$url.'" style="font-size:'.$font_size.';color:'.$text_color.';border:'.$border.'; border-radius:'.$border_radius.';padding:'.$button_padding.';background:'.$bg_color.';" class="karbar-btn-shortcode" target="'.$target.'"><i style="font-size:'.$icon_size.';color:'.$icon_color.';padding:'.$icon_padding.';" class="fa '.$icon.'" aria-hidden="true"></i>'.do_shortcode($content).'</a>';

  }
  add_shortcode('zilla_button', 'zilla_button');
}


/*-----------------------------------------------------------------------------------*/
/*  Alerts
/*-----------------------------------------------------------------------------------*/

if (!function_exists('alert')) {
  function alert( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'style'   => ''
      ), $atts));
    
    return '<div class="alert '.$style.' alert-dismissable">' . do_shortcode($content) . '<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button></div>';
  }
  add_shortcode('alert', 'alert');
}


/*-----------------------------------------------------------------------------------*/
/*  Tabs Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('tabs')) {
  function tabs( $atts, $content = null ) {
    $defaults = array();
    extract( shortcode_atts( $defaults, $atts ) );
    
    STATIC $i = 0;
    $i++;
    
    // Extract the tab titles for use in the tab widget.
    preg_match_all( '/tab title="([^\"]+)"/i', $content, $matches, PREG_OFFSET_CAPTURE );

    $tab_titles = array();
    if( isset($matches[1]) ){ $tab_titles = $matches[1]; }
    $output = '';
    
    if( count($tab_titles) ){
      //$output .= '<div id="tabs-'. $i .'" class="tabs">';
      $output .= '<ul class="nav-tabs">';
      foreach( $tab_titles as $tab ){
        STATIC $count_element = 0;
        $count_element++;
        
        if($count_element <= 1){
          $class=" class='active'";
        }else{
          $class="";
        }

        $output .= '<li'.$class.'><a data-toggle="tab" href="#tab'.sanitize_title( $tab[0] ) .'">' . $tab[0] . '</a></li>';
      }

      $output .= '</ul>';
      $output .= '<div class="tab-content">';
      $output .= do_shortcode( $content );
      $output .= '</div>';
      //$output .= '</div>';
      
    } else {
      $output .= do_shortcode( $content );
    }
    
    return $output;
  }
  add_shortcode( 'tabs', 'tabs' );
}

if (!function_exists('tab')) {
  function tab( $atts, $content = null ) {
    $defaults = array( 'title' => 'Tab' );
    extract( shortcode_atts( $defaults, $atts ) );
    
    STATIC $count_element = 0;
    $count_element++;
    
    if($count_element <= 1){
      $class="active in";
    }else{
      $class="";
    }
    
    return '<div id="tab'. sanitize_title( $title ) .'" class="tab-pane fade '.$class.'">'. do_shortcode( $content ) .'</div>';
  }
  add_shortcode( 'tab', 'tab' );
}


/*-----------------------------------------------------------------------------------*/
/*  Accordions Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('accordions')) {
  function accordions( $atts, $content = null ) {
    $defaults = array();
    extract( shortcode_atts( $defaults, $atts ) );
    
    $output = '<div class="panel-group" id="accordion">';
    $output .= do_shortcode( $content );
    $output .= '</div>';
    
    return $output;
  }
  add_shortcode( 'accordions', 'accordions' );
}

if (!function_exists('accordion')) {
  function accordion( $atts, $content = null ) {
    $defaults = array( 'title' => 'Tab' );
    extract( shortcode_atts( $defaults, $atts ) );
    
    STATIC $i = 0;
    $i++;
    
    if($i > 1){
      $class = "class='collapsed'";
      $class_div = "";
      $fa = "fa-plus";
    }else{
      $class = "";
      $class_div = "in";
      $fa = "fa-minus";
    }
    
    return '<div class="panel panel-default">
              <div class="panel-heading">
                <h4 class="panel-title">
                  <a data-toggle="collapse" '.$class.' data-parent="#accordion" href="#collapse'.$i.'">'.$title.'<i class="fa '.$fa.' accordion-icon pull-right"></i></a>
                </h4>
              </div>
              <div id="collapse'.$i.'" class="panel-collapse collapse '.$class_div.'">
                <div class="panel-body">
                  <p>'.do_shortcode( $content ).'</p>
                </div>
              </div>
            </div>';
          }
          add_shortcode( 'accordion', 'accordion' );
        }


        /*-----------------------------------------------------------------------------------*/
/*  Socian Icons Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('social_icon')) {
  function social_icon( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'title'  => '',
      'icon'   => '',
      'payoff' => "",
      'url'    => "",
      'target' => "",
      ), $atts));
    
      return '<div class="element-line">
                <div class="social-link">
                  <div class="text-center">
                    <div class="hi-icon-effect-1">
                      <a href="'.$url.'" target="'.$target.'" class=""> <i class="hi-icon fa '.$icon.' fa-4x"></i> </a>
                    </div>
                    <span>'.$title.'</span>
                    <p class="lead hidden-xs">'.$payoff.'</p>
                  </div>
                </div>
              </div>';
            }
            add_shortcode('social_icon', 'social_icon');
          }

          /*-----------------------------------------------------------------------------------*/
/* Content Box Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('content_box')) {
  function content_box( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'title'   => 'Title',
      'icon' => '',
      'link' => '',
      'style' => '',
      'text_color'=>''
      ), $atts));
    
    $icon_code = '';
    
    if($style =='style1'){
      if(!empty($icon)) $icon_code = '<i class="fa '.$icon.' fa-4x"></i>';
    }elseif($style =='style2'){
      if(!empty($icon)) $icon_code = '<i class="fa '.$icon.' fa-5x"></i>';
    }

    if(trim($link) != ''){
      $link = '<a href="'.$link.'">';
    }else{
      $link = '<a>';
    }
    
    if($style =='style1'){
        return '
        <div class="element-line">
          <div class="content-box text-center '.$text_color.'">
            '.$link.'.
              '.$icon_code.'
              <h4>'. $title .'</h4>
              <p>'.do_shortcode( $content ).'</p>
            </a>
          </div>
        </div>'
        ;}
        elseif($style =='style2'){
        return '
        <div class="element-line">
          <div class="service-items text-center '.$text_color.'">
            '.$link.'.
              '.$icon_code.' 
              <h3>'. $title .'</h3>
            </a>
            <p>'.do_shortcode( $content ).'</p>
          </div>
        </div>'
        ;}
      }
      add_shortcode('content_box', 'content_box');
    }

    /*-----------------------------------------------------------------------------------*/
/* Image Box Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('image_box')) {
  function image_box( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'image'   => '',
      'image_style'   => '',
      'url'   => '',
      'title'   => '',
      'image_animation' => ""
      ), $atts));
    
    $icon_code = '';
    
    if(trim($url != '')){
      $link = 'href="'.$url.'"';
    }else{
      $link = '';
    }

    return '
    <div class="element-line">
      <div class="media">
        <a class="pull-left '.$image_animation.'" '.$link.'> <img class="media-object '.$image_style.'" src="'.$image.'" alt="'.$title.'"> </a>
        <div class="media-body text-left">
          <h3 class="media-heading">'.$title.'</h3>
          <p>'.do_shortcode($content).'</p>
        </div>
      </div>
    </div>';

  }
  add_shortcode('image_box', 'image_box');
}

/*-----------------------------------------------------------------------------------*/
/* Number Details Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('number_details')) {
  function number_details( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'icon'   => 'fa-thumbs-o-up',
      'number'   => '100',
      'number_details' => ''
      ), $atts));
    
     return '<div class="number-counters text-center">
               <div class="counters-item element-line">
                 <i class="fa '.$icon.' fa-4x"></i>
                 <strong data-to="'.$number.'">'.$number.'</strong>
                 <p class="lead">'.$number_details.'</p>
               </div>
             </div>';
           }
           add_shortcode('number_details', 'number_details');
         }

         /*-----------------------------------------------------------------------------------*/
/*  Contact Details Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('contact_details')) {
  function contact_details( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'phone' => '',
      'address' => '',
      'fax' => '',
      'mail'=>''
      ), $atts));
    
    echo '<div class="text-center contact-content">';
    if(trim($phone)){
      echo '<h1><i class="fa fa-mobile fa-5x"></i></h1><span class="call-number">'.$phone.'</span>';
    }
    echo '  <ul class="info-address-list">';
    if(trim($address)){
      echo '  <li class="lead"><span><i class="fa fa-map-marker fa-lg"></i> '.__('Address','karbar').': </span><p>'.$address.'</p></li>';
    }
    if(trim($fax)){
      echo '  <li class="lead"><span><i class="fa fa-print fa-lg"></i> '.__('Fax','karbar').': </span><p>'.$fax.'</p></li>';
    }
    if(trim($mail)){
      echo '  <li class="lead"><span><i class="fa fa-envelope fa-lg"></i> '.__('Mail','karbar').': </span><a href="mailto:'.$mail.'">'.$mail.'</a></li>';
    }
    echo '  </ul></div>';
  }
  add_shortcode('contact_details', 'contact_details');
}

/*-----------------------------------------------------------------------------------*/
/*  Video
/*-----------------------------------------------------------------------------------*/

if (!function_exists('video')) {
  function video( $atts, $content = null ) {
    extract(shortcode_atts(array(
      ), $atts));
    return '<div class="element-line">'.do_shortcode($content).'</div>';
  }
  add_shortcode('video', 'video');
}



?>